@import url(main.css);

* {
    box-sizing: border-box;
}

body {
    background-color: rgb(240, 242, 245);
    color: rgb(28, 30, 33);
}

main {
    display: flex;
    flex: 1;

    justify-content: center;
    align-items: center;

    height: 100%;
    width: 100%;
}


@media (width < 500px)  {
    main {
        align-items: flex-start;
    }
}

article {
    display: flex;

    width: 100%;

    flex-direction: column;
    
    margin: 4rem 1rem;

    background-color: rgb(255, 255, 255);
    border-radius: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1), 0 8px 16px rgba(0, 0, 0, 0.1);
    padding: 20px;

    max-width: 400px;

    row-gap: 1rem;
}

article section {
    display: flex;
    flex-direction: column;
    row-gap: 12px;
}

article section .header {
    display: flex;
    justify-content: space-between;
}

article section .header .title {
    font-size: 1.6em;
}

article section .header span {
    display: flex;
    align-items: center;

    column-gap: .8rem;
}

/* Stage Section */

article section .stage ul {
    column-gap: 1rem;
}

article section .stage ul li {
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background-color: black;
}

article section .stage ul .selected {
    background-color: rgb(90, 149, 226);
}

article section .stage ul .done {
    background-color: rgb(172, 108, 255);
}

/* -------------- */

article .main-form {
    width: 100%;
    
    display: flex;
    flex-direction: column;
    
    row-gap: .7rem;
}

article form .send-btn {
    background-color: rgb(152, 108, 255) !important;
}

article form .send-btn:active {
    background-color: rgb(172, 108, 255) !important;
}

article form .send-btn:hover {
    background-color: rgb(172, 108, 255) !important;
}

article form input, article .main-form .send-btn {
    width: 100%;
    height: 45px !important;
    vertical-align: middle;
    font-size: 16px;
    border-radius: 6px;
}

article form input {
    border: 1px solid rgb(221, 223, 226);
    color: rgb(29, 33, 41);
    padding: 0 8px;
    outline: none;
    transition: 150ms;
}

article form input:read-only {
    color: rgb(142, 142, 142);
}

article .main-form input:focus {
    border-color: rgb(24, 119, 242);
    box-shadow: 0 0 0 2px rgb(231, 243, 255);
}

article p {
    font-size: 14px;
}

article p a {
    text-decoration: none;
    color: rgb(28, 30, 33);
    font-weight: 600;
}

article .emailverify-action {
    display: flex;
    align-items: center;
    column-gap: 5px;
}

article .emailverify-action input {
    margin-right: 5px;
}

.terms {
    border: 1px solid rgb(221, 223, 226);
    color: rgb(29, 33, 41);
    padding: 8px;
    border-radius: 6px;
}
